#
# Conditional build:
%bcond_without	gnueabi	# build without GNU Embedded ABI support
#
Summary:	Cross ARM GNU binary utility development utilities - binutils
Summary(es.UTF-8):	Utilitarios para desarrollo de binarios de la GNU - ARM binutils
Summary(fr.UTF-8):	Utilitaires de développement binaire de GNU - ARM binutils
Summary(pl.UTF-8):	Skrośne narzędzia programistyczne GNU dla ARM - binutils
Summary(pt_BR.UTF-8):	Utilitários para desenvolvimento de binários da GNU - ARM binutils
Summary(tr.UTF-8):	GNU geliştirme araçları - ARM binutils
Name:		crossarm-binutils
Version:	2.37
Release:	1%{?with_gnueabi:gnueabi}
License:	GPL
Group:		Development/Tools
Source0:	https://ftp.gnu.org/gnu/binutils/binutils-%{version}.tar.lz
# Source0-md5:	a030c64f442d224aa3baa04a11f8cf34
Source1:	crossarm-lpc2104.ld
Source2:	crossarm-lpc2106.ld
URL:		http://sources.redhat.com/binutils/
BuildRequires:	automake
BuildRequires:	bash
BuildRequires:	bison
BuildRequires:	flex
%{?with_gnueabi:Provides:	crossarm-binutils(gnueabi)}
ExcludeArch:	arm
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		target		arm-linux%{?with_gnueabi:-gnueabi}
%define		arch		%{_prefix}/%{target}

%description
Binutils is a collection of binary utilities, including:
- ar - create, modify and extract from archives,
- nm - lists symbols from object files,
- objcopy - copy and translate object files,
- objdump - display information from object files,
- ranlib - generate an index for the contents of an archive,
- size - list the section sizes of an object or archive file,
- strings - list printable strings from files,
- strip - discard symbols,
- c++filt - a filter for demangling encoded C++ symbols,
- addr2line - convert addresses to file and line,
- nlmconv - convert object code into an NLM.

This package contains the cross version for ARM.

%description -l pl.UTF-8
Pakiet binutils zawiera zestaw narzędzi umożliwiających kompilację
programów. Znajdują się tutaj między innymi assembler, konsolidator
(linker), a także inne narzędzia do manipulowania binarnymi plikami
programów i bibliotek.

Ten pakiet zawiera wersję skrośną generującą kod dla ARM.

%prep
%setup -q -n binutils-%{version}

%build

# ldscripts won't be generated properly if SHELL is not bash...
CFLAGS="%{rpmcflags} -fno-strict-aliasing" \
LDFLAGS="%{rpmldflags}" \
CONFIG_SHELL="/bin/bash" \
./configure \
	--disable-shared \
	--disable-nls \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--infodir=%{_infodir} \
	--target=%{target} \
	--with-sysroot=%{_libdir}/%{target}

%{__make} all \
	tooldir=%{_prefix} \
	EXEEXT=""

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_prefix}

%{__make} install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	mandir=$RPM_BUILD_ROOT%{_mandir} \
	infodir=$RPM_BUILD_ROOT%{_infodir} \
	libdir=$RPM_BUILD_ROOT%{_libdir}

install %{SOURCE1} $RPM_BUILD_ROOT%{arch}/lib/ldscripts/lpc2104.ld
install %{SOURCE2} $RPM_BUILD_ROOT%{arch}/lib/ldscripts/lpc2106.ld

# remove these man pages unless we cross-build for win*/netware platforms.
# however, this should be done in Makefiles.
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/{*dlltool,*nlmconv,*windres}.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/%{target}-*
%dir %{arch}
%dir %{arch}/bin
%attr(755,root,root) %{arch}/bin/*
%dir %{arch}/lib
%dir %{arch}/lib/*
%{arch}/lib/ldscripts/*
%{_mandir}/man?/%{target}-*
%changelog
* Mon Jul 26 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/crossarm-binutils.git;a=log;h=master

* Sun Jul 25 2021 Jan Palus <atler@pld-linux.org> 84ccb26
- up to 2.37

* Tue Feb 23 2021 Jan Palus <atler@pld-linux.org> 93417c3
- up to 2.36.1

* Tue Dec 15 2020 Jan Palus <atler@pld-linux.org> 455d5e1
- basic update to 2.35.1

* Sun Oct 28 2007 aredridel <aredridel@pld-linux.org> a52b0c1
- use sysroot

* Mon Oct 22 2007 aredridel <aredridel@pld-linux.org> 0fee5e8
- 2.18.50.0.2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> f29ebb2
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 58f19f2
- converted to UTF-8

* Sat Sep 30 2006 Paweł Sikora <pluto@pld-linux.org> 7c760d1
- typo.

* Sat Sep 30 2006 Paweł Sikora <pluto@pld-linux.org> 7e80e0d
- switch to gnu/eabi target.

* Sat Sep 30 2006 Paweł Sikora <pluto@pld-linux.org> 756e2cf
- updated to 2.17.50.0.5.

* Sun Sep 03 2006 Paweł Sikora <pluto@pld-linux.org> 58ba878
- updated to 2.17.50.0.3.

* Wed Jan 04 2006 Paweł Sikora <pluto@pld-linux.org> 4cf4ce8
- updated to 2.16.91.0.5.

* Thu Sep 08 2005 Paweł Sikora <pluto@pld-linux.org> 7a2c4ce
- pass -fno-strict-aliasing to avoid wrong-code (aliasing violations).

* Mon Sep 05 2005 Paweł Sikora <pluto@pld-linux.org> 508e116
- updated to 2.16.91.0.3.

* Sun Jul 24 2005 Paweł Sikora <pluto@pld-linux.org> 518672c
- updated to 2.16.91.0.2.

* Sun Jul 10 2005 Paweł Sikora <pluto@pld-linux.org> 557aa52
- eabi enabled by default.
- ld scripts for philips LPC210x chipsets added.
- release 2.

* Sun Jul 10 2005 Paweł Sikora <pluto@pld-linux.org> 40c8b93
- ld scripts for philips LPC210x chipsets.

* Sun Jun 26 2005 Paweł Sikora <pluto@pld-linux.org> 9c5133d
- updated to 2.16.91.0.1.

* Sun May 15 2005 Paweł Sikora <pluto@pld-linux.org> 5d2445e
- updated to 2.16.90.0.3.

* Mon May 02 2005 Paweł Sikora <pluto@pld-linux.org> bfe9671
- updated to 2.16.90.0.2.

